Page MenuHomePhabricator

Wikidata Infobox should properly format dates
Closed, ResolvedPublic

Description

Visit http://localhost:8080/wiki/Albert_Einstein?wikidataid=Q937&mobileaction=alpha

When expanded you'll see:
date of birth: Thu Mar 13 1879 17:00:00 GMT-0700 (PDT)

On Wikidata.org this displays as 14 March 1879 (I guess it's localised to UTC+0?
We should format this the same on mobile.

Beware birth dates prior to 0CE
e.g. http://en.m.wikipedia.beta.wmflabs.org/wiki/Darius%20the%20great?wikidataid=Q44387&mobileaction=alpha

Event Timeline

Jdlrobson created this task.Jan 6 2015, 9:16 PM
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.
bmansurov set Security to None.

Change 184811 had a related patch set uploaded (by Bmansurov):
User friendly dates for wikidata infobox

https://gerrit.wikimedia.org/r/184811

Patch-For-Review

Jdlrobson updated the task description. (Show Details)Jan 15 2015, 5:41 PM

Change 184811 merged by jenkins-bot:
User friendly dates for wikidata infobox

https://gerrit.wikimedia.org/r/184811

Jdlrobson closed this task as Resolved.Jan 19 2015, 7:15 PM